package cz.frantovo.nekurak.web;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author fiki
 */
public class RegistraceUzivatele {

    private HledacSluzby hledac = new HledacSluzby();
    private Map<String, UzivatelPredRegistraci> uzivatele = Collections.synchronizedMap(new HashMap<String, UzivatelPredRegistraci>());
    private String token;

    public void setUzivatel(UzivatelPredRegistraci uzivatel) {
	uzivatele.put(uzivatel.getToken(), uzivatel);
    }

    public void setToken(String token) {
	this.token = token;
    }

    public boolean getDokonciRegistraci() {

	UzivatelPredRegistraci u = uzivatele.get(token);

	if (u == null) {
	    /** Chybný token – uživatel se snaží dokončit neexistující registraci */
	    return false;
	} else {
	    hledac.getUzivatelEJB().zalozUzivatele(u.getUzivatel());
	    return true;
	}
    }
}
