<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  version="2.0">

    <jsp:useBean id="uzivatel" class="cz.frantovo.nekurak.dto.Uzivatel" scope="request"/>
    <jsp:useBean id="uzivatelPredRegistraci" class="cz.frantovo.nekurak.web.UzivatelPredRegistraci" scope="request"/>
    <jsp:useBean id="registraceUzivatele" class="cz.frantovo.nekurak.web.RegistraceUzivatele" scope="session"/>

    <h1><fmt:message key="registrace.nadpis"/></h1>

    <c:choose>
	<c:when test="${param.akceRegistrace == 'kontrola'}">
	    <jsp:setProperty name="uzivatel" property="*"/>
	    <jsp:setProperty name="uzivatelPredRegistraci" property="uzivatel" value="${uzivatel}"/>
	    <jsp:setProperty name="registraceUzivatele" property="uzivatel" value="${uzivatelPredRegistraci}"/>

	    <p><fmt:message key="registrace.kontrola"/></p>

	    <p>
		<fmt:message key="dto.uzivatel.prezdivka"/>: <c:out value="${uzivatel.prezdivka}"/><br/>
		<fmt:message key="dto.uzivatel.jmeno"/>: <c:out value="${uzivatel.jmeno}"/><br/>
		<fmt:message key="dto.uzivatel.prijmeni"/>: <c:out value="${uzivatel.prijmeni}"/><br/>
		<fmt:message key="dto.uzivatel.email"/>: <c:out value="${uzivatel.email}"/><br/>
	    </p>

	    <p>
		<a href="?akce=registrovatUzivatele&amp;amp;akceRegistrace=dokonceni&amp;amp;token=${fn:escapeXml(uzivatelPredRegistraci.token)}">
		    <fmt:message key="registrace.potvrdit"/>
		</a>
	    </p>

	</c:when>
	<c:when test="${param.akceRegistrace == 'dokonceni'}">

	    <jsp:setProperty name="registraceUzivatele" property="token" value="${param.token}"/>

	    <c:choose>
		<c:when test="${registraceUzivatele.dokonciRegistraci}">
		    <p>
			<fmt:message key="registrace.hotovo"/>&amp;#160;
			<a href="?akce=prihlaseni">
			    <fmt:message key="registrace.hotovo.prihlasit"/>
			</a>
		    </p>
		</c:when>
		<c:otherwise>
		    <!--
		    Zaznamenali jsme pokus o CSRF nebo vypršela relace
		    a uživatel se pokouší dokončit registraci po dlouhé době.
		    -->
		    <p><fmt:message key="registrace.chybnyToken"/></p>
		</c:otherwise>
	    </c:choose>


	</c:when>
	<c:otherwise>
	    <form method="post" action="?akce=registrovatUzivatele&amp;amp;akceRegistrace=kontrola">
		<fieldset>
		    <fmt:message key="dto.uzivatel.prezdivka.tip" var="prezdivkaTip"/>
		    <label title="${prezdivkaTip}"><fmt:message key="dto.uzivatel.prezdivka"/>: <input type="text" name="prezdivka" maxlength="255"/></label><br/>
		    <label><fmt:message key="dto.uzivatel.heslo"/>: <input type="password" name="heslo" maxlength="255"/></label><br/>
		    <label><fmt:message key="dto.uzivatel.heslo.kontrola"/>: <input type="password" name="heslo_kontrola" maxlength="255"/></label><br/>
		    <br/>
		    <label><fmt:message key="dto.uzivatel.jmeno"/>: <input type="text" name="jmeno" maxlength="255"/></label><br/>
		    <label><fmt:message key="dto.uzivatel.prijmeni"/>: <input type="text" name="prijmeni" maxlength="255"/></label><br/>
		    <label><fmt:message key="dto.uzivatel.email"/>: <input type="text" name="email" maxlength="255"/></label><br/>
		    <button value="submit"><fmt:message key="registrace.tlacitko"/></button>
		</fieldset>
	    </form>
	</c:otherwise>
    </c:choose>




</jsp:root>
